Package org.eclipse.emf.cdo.server

# Interface CDOServerImporter.Handler

All Superinterfaces:
  `CDOLobHandler`, `CDORevisionHandler`

All Known Subinterfaces:
  `CDOServerImporter.Handler2`

Enclosing class:
  `CDOServerImporter`

public static interface CDOServerImporter.Handler extends CDORevisionHandler, CDOLobHandler
Persists the data that has been read by a `importer` into a new `repository`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

`CDORevisionHandler.Filtered`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`InternalCDOBranch`
`handleBranch(int id, String name, long time, int parentID)`
`void`
`handleCommitInfo(long time, long previous, int branch, String user, String comment)`
`InternalCDOPackageRegistry`
`handleModels()`
`InternalCDOPackageInfo`
`handlePackageInfo(String packageURI)`
`InternalCDOPackageUnit`
`handlePackageUnit(String id, CDOPackageUnit.Type type, long time, String data)`
`void`
`handleRepository(String name, String uuid, CDOID root, long created, long committed)`

### Methods inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobHandler

`handleBlob, handleClob`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionHandler

`handleRevision`

## Method Details

### handleRepository

void handleRepository(String name, String uuid, CDOID root, long created, long committed)

### handlePackageUnit

InternalCDOPackageUnit handlePackageUnit(String id, CDOPackageUnit.Type type, long time, String data)

### handlePackageInfo

InternalCDOPackageInfo handlePackageInfo(String packageURI)

### handleModels

InternalCDOPackageRegistry handleModels()

### handleBranch

InternalCDOBranch handleBranch(int id, String name, long time, int parentID)

### handleCommitInfo

void handleCommitInfo(long time, long previous, int branch, String user, String comment)

### flush

void flush()